package com.blueland.ebpm.home.model;

import java.util.Date;
import java.util.List;

/**
 * <p>Title: Org</p>  
 * <p>Description: </p>
 * @作者 dsl
 * @创建时间 2022年3月29日下午5:05:38
 *
 */
public class OrgEntity {
	/**
	* 组织ID-唯一标识组织对象id        db_column: org_id 
	*/	
	private String orgId;
	/**
	* 组织名称-组织名称        db_column: org_full_name 
	*/	
	private String orgFullName;
	/**
	* 组织短名称-组织短名称        db_column: org_name 
	*/	
	private String orgName;
	/**
	* 全拼-        db_column: org_full_spells 
	*/	
	private String orgFullSpells;
	/**
	* 简拼-        db_column: org_spells 
	*/	
	private String orgSpells;
	
	/**
	* 组织联盟分类-工业公司、商业公司、零售户、供应商        db_column: org_type 
	*/	
	private String orgType;
	/**
	* 组织管理类型-GS：公司BM：部门KS：科室QT：其他
        db_column: org_Mgr_type 
	*/	
	private String orgMgrType;
	
	/**
	* 组织级别-1、2、3、4层级        db_column: org_level 
	*/	
	private Integer orgLevel;
	/**
	* 上级组织ID-上级组织UUID        db_column: org_parent_id 
	*/	
	private String orgParentId;
	/**
	* 上级组织名称-上级组织名称        db_column: org_parent_name 
	*/	
	private String orgParentName;
	/**
	* 所属组织ID-所属组织UUID        db_column: company_id 
	*/	
	private String companyId;
	
	/**
	* 所属组织ID-所属组织名称        db_column: company_id 
	*/	
	private String companyName;
	
	/**
	* 组织负责人ID-组织负责人UUID        db_column: org_branch_leader 
	*/	
	private String orgBranchLeader;
	
	/**
	* 组织负责人ID-组织负责人姓名        db_column: org_branch_leader_name 
	*/	
	private String orgBranchLeaderName;
	
	/**
	* 办公地址-办公地址        db_column: org_work_address 
	*/	
	private String orgWorkAddress;
	/**
	* 办公电话-办公电话        db_column: org_work_phone 
	*/	
	private String orgWorkPhone;
	/**
	* 组织状态-启用、禁用        db_column: org_status 
	*/	
	private String orgStatus;
	/**
	* 组织排序-组织排序        db_column: org_sort 
	*/	
	
	private Integer orgSort;
	/**
	* 删除标识-组织单元的删除标识 删除 ： y、未删除： n        db_column: org_del_status 
	*/	
	//@Length(max=10)
	//private String orgDelStatus;
	/**
	* 创建时间-创建时间        db_column: org_create_time 
	*/	
	
	private Date orgCreateTime;
	/**
	* 创建人-创建人ID        db_column: org_creator 
	*/	
	private String orgCreator;
	/**
	* 最近修改时间-最近修改时间        db_column: org_update_time 
	*/	
	
	private Date orgUpdateTime;
	/**
	* 最近修改人-最近修改人ID        db_column: org_updator 
	*/	
	private String orgUpdator;
	//columns END
	/**
	* 部门ID        db_column: dept_id 
	*/	
	private String deptId;
	/**
	* 部门名称        db_column: dept_name 
	*/	
	private String deptName;
	//组织子分类
	private String orgSubType;
	/**
	* 组织编制类型  编制内：BZN，编制外：BZW       db_column: org_work_type 
	*/	
	private String orgWorkType;
	
	private UserEntity staffInfo;
	// 编制数量
	private String staffing;
	
	// 冗余字段（查询条件）
	private String queryOrg;
	//组织hrId
	private String orgHrId;
	private List<String> orgIdlist;
	
	private List<String> companyIdList;
	
	//数据库不存在此字段，用来做权限判断
	private String orgBtn;
	public OrgEntity(){
	}
	
	public String getOrgId() {
		return orgId;
	}

	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}

	public String getOrgFullName() {
		return orgFullName;
	}

	public void setOrgFullName(String orgFullName) {
		this.orgFullName = orgFullName;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getOrgFullSpells() {
		return orgFullSpells;
	}

	public void setOrgFullSpells(String orgFullSpells) {
		this.orgFullSpells = orgFullSpells;
	}

	public String getOrgSpells() {
		return orgSpells;
	}

	public void setOrgSpells(String orgSpells) {
		this.orgSpells = orgSpells;
	}

	public String getOrgType() {
		return orgType;
	}

	public void setOrgType(String orgType) {
		this.orgType = orgType;
	}

	public String getOrgMgrType() {
		return orgMgrType;
	}

	public void setOrgMgrType(String orgMgrType) {
		this.orgMgrType = orgMgrType;
	}

	public Integer getOrgLevel() {
		return orgLevel;
	}

	public void setOrgLevel(Integer orgLevel) {
		this.orgLevel = orgLevel;
	}

	public String getOrgParentId() {
		return orgParentId;
	}

	public void setOrgParentId(String orgParentId) {
		this.orgParentId = orgParentId;
	}

	public String getOrgParentName() {
		return orgParentName;
	}

	public void setOrgParentName(String orgParentName) {
		this.orgParentName = orgParentName;
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public String getCompanyName() {
		return companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public String getOrgBranchLeader() {
		return orgBranchLeader;
	}

	public void setOrgBranchLeader(String orgBranchLeader) {
		this.orgBranchLeader = orgBranchLeader;
	}

	public String getOrgBranchLeaderName() {
		return orgBranchLeaderName;
	}

	public void setOrgBranchLeaderName(String orgBranchLeaderName) {
		this.orgBranchLeaderName = orgBranchLeaderName;
	}

	public String getOrgWorkAddress() {
		return orgWorkAddress;
	}

	public void setOrgWorkAddress(String orgWorkAddress) {
		this.orgWorkAddress = orgWorkAddress;
	}

	public String getOrgWorkPhone() {
		return orgWorkPhone;
	}

	public void setOrgWorkPhone(String orgWorkPhone) {
		this.orgWorkPhone = orgWorkPhone;
	}

	public String getOrgStatus() {
		return orgStatus;
	}

	public void setOrgStatus(String orgStatus) {
		this.orgStatus = orgStatus;
	}

	public Integer getOrgSort() {
		return orgSort;
	}

	public void setOrgSort(Integer orgSort) {
		this.orgSort = orgSort;
	}

	public Date getOrgCreateTime() {
		return orgCreateTime;
	}

	public void setOrgCreateTime(Date orgCreateTime) {
		this.orgCreateTime = orgCreateTime;
	}

	public String getOrgCreator() {
		return orgCreator;
	}

	public void setOrgCreator(String orgCreator) {
		this.orgCreator = orgCreator;
	}

	public Date getOrgUpdateTime() {
		return orgUpdateTime;
	}

	public void setOrgUpdateTime(Date orgUpdateTime) {
		this.orgUpdateTime = orgUpdateTime;
	}

	public String getOrgUpdator() {
		return orgUpdator;
	}

	public void setOrgUpdator(String orgUpdator) {
		this.orgUpdator = orgUpdator;
	}

	public String getDeptId() {
		return deptId;
	}

	public void setDeptId(String deptId) {
		this.deptId = deptId;
	}

	public String getDeptName() {
		return deptName;
	}

	public void setDeptName(String deptName) {
		this.deptName = deptName;
	}

	public String getOrgSubType() {
		return orgSubType;
	}

	public void setOrgSubType(String orgSubType) {
		this.orgSubType = orgSubType;
	}

	public String getOrgWorkType() {
		return orgWorkType;
	}

	public void setOrgWorkType(String orgWorkType) {
		this.orgWorkType = orgWorkType;
	}

	public UserEntity getStaffInfo() {
		return staffInfo;
	}

	public void setStaffInfo(UserEntity staffInfo) {
		this.staffInfo = staffInfo;
	}

	public String getStaffing() {
		return staffing;
	}

	public void setStaffing(String staffing) {
		this.staffing = staffing;
	}

	public String getQueryOrg() {
		return queryOrg;
	}

	public void setQueryOrg(String queryOrg) {
		this.queryOrg = queryOrg;
	}

	public String getOrgHrId() {
		return orgHrId;
	}

	public void setOrgHrId(String orgHrId) {
		this.orgHrId = orgHrId;
	}

	public List<String> getOrgIdlist() {
		return orgIdlist;
	}

	public void setOrgIdlist(List<String> orgIdlist) {
		this.orgIdlist = orgIdlist;
	}

	public List<String> getCompanyIdList() {
		return companyIdList;
	}

	public void setCompanyIdList(List<String> companyIdList) {
		this.companyIdList = companyIdList;
	}

	public String getOrgBtn() {
		return orgBtn;
	}

	public void setOrgBtn(String orgBtn) {
		this.orgBtn = orgBtn;
	}

	public OrgEntity(
		String orgId
	){
		this.orgId = orgId;
	}
}

